Subject: Re: Gnu-Win32 and Tcl/Tk
From: [email-masked] (Mumit Khan)

16 Dec 1996 09:00:48 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked] (jl Hamel)
Original-Cc: [email-masked]
In-Reply-To: Your message of "Mon, 16 Dec 1996 09:10:20 +0100."
             <[email-masked]> 
Original-Sender: [email-masked]

[email-masked] (jl Hamel) writes:
> 
> >did you make an exe linked against the dll, or did you make a dll
> >which you then loaded with tcl/tk?
> 
> I made an exe, not a dll.
> This exe works OK (all the dll calls seems correctly understood) but
> crashes when it ends.
> 

Maybe it's crashing at the end when the interpreter is deleted and Tcl 
is in turn deleting its local storage? I believe someone else has already 
mentioned the problem with using Borland C++ DLLs with other compilers 
due to the memory allocation routines that are different. You have to use 
TCL_VOLATILE or TCL_STATIC for all objects that are passed to Tcl_* 
routines to avoid the conflict.

I'd be very interested in how you've gotten as far as you have. I know I
didn't come close to actually building the .EXE. Are you using include
files that didn't come with gnu-win32 b17? Would be great if you could
outline what you've done.

Thanks in advance,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".